Subject: Re: [PATCH v2 1/4] git-p4: Allow setting rename/copy detection threshold.

From: Pete Wyckoff <[email-masked]>
Date: Sat, 20 Aug 2011 07:19:56 -0400

[email-masked] wrote on Fri, 19 Aug 2011 14:51 +0100:
> On Fri, Aug 19, 2011 at 12:47 PM, Pete Wyckoff <[email-masked]> wrote:
> > I think you have to decide that 1 means 1 in this case.
> > Everything else can mean true.  That may suggest that using
> > --bool or --bool-or-int isn't possible in this case.
> 
> But doing that kind of post-processing would require me to call
> git-config (at least) twice: first to check if it is a number with a
> possible "." in the middle or "%" at the end and a second time with
> the --bool option. I have no problem in doing this, but I think it
> increases the complexity without bringing major advantages.
> 
> I will use --bool for detectCopiesHarder and will send you the new set
> of patches tonight, unless we decide to also start using it for
> detectCopies and detectRenames.

I was imagining you would not use "--bool", and parse everything
yourself.  But I see your point, and letting "1" mean "-M1" as
opposed to "-M" is probably okay too.  I'm not particularly
worked up about which way that goes.

		-- Pete